Page MenuHomePhabricator

MultimediaViewer selenium tests are failing with "Misconfigured -- Unsupported OS/browser/version/device combo" because our target MacOS has aged out
Closed, ResolvedPublic

Description

selenium-MultimediaViewer is failing for macOS Chrome and Safari with:

Misconfigured -- Unsupported OS/browser/version/device combo: OS: 'OS X 10.9', Browser: 'googlechrome', Version: 'latest', Device: 'unspecified' (Selenium::WebDriver::Error::WebDriverError)

Misconfigured -- Unsupported OS/browser/version/device combo: OS: 'OS X 10.9', Browser: 'safari', Version: 'latest', Device: 'unspecified' (Selenium::WebDriver::Error::WebDriverError)

Details

Related Gerrit Patches:
mediawiki/extensions/MultimediaViewer : masterSelenium: do not run selenium-MultimediaViewer Jenkins job on macOS
mediawiki/extensions/MultimediaViewer : masterFix browser test failures

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald Transcript
zeljkofilipin removed zeljkofilipin as the assignee of this task.Jan 22 2019, 1:57 PM
zeljkofilipin moved this task from Backlog 🔙 to Next 🔜 on the User-zeljkofilipin board.

According to JJB config @Jdlrobson is in charge of selenium-MultimediaViewer.

According to JJB config @Jdlrobson is in charge of selenium-MultimediaViewer.

That's incorrect:) can i be removed? I think @MarkTraceur would know best about who to direct this to.

Looks like @zeljkofilipin wrote the config for the browser tests in MultimediaViewer way back in 2015 - maybe support for OSX 10.9 or the "unspecified" device was removed since then?

Sauce seems to suggest the former - https://saucelabs.com/platforms

Unless Zeljko has a counterargument I can just bump the version up to 10.12 (or he can), should fix the issue if I'm reading things correctly

Change 486096 had a related patch set uploaded (by MarkTraceur; owner: MarkTraceur):
[mediawiki/extensions/MultimediaViewer@master] Fix browser test failures

https://gerrit.wikimedia.org/r/486096

According to JJB config @Jdlrobson is in charge of selenium-MultimediaViewer.

That's incorrect:) can i be removed? I think @MarkTraceur would know best about who to direct this to.

Sure, will do.

Unless Zeljko has a counterargument I can just bump the version up to 10.12 (or he can), should fix the issue if I'm reading things correctly

Or we could just delete the macos from the configuration. Tests have been failing for at least a month, it's probable that nobody cares any more.

Could the entire job be deleted? Does anybody care about it?

zeljkofilipin triaged this task as Low priority.Apr 11 2019, 2:55 PM
zeljkofilipin moved this task from Next 🔜 to In Progress 🔨 on the User-zeljkofilipin board.
zeljkofilipin removed zeljkofilipin as the assignee of this task.May 2 2019, 2:06 PM
zeljkofilipin moved this task from In Progress 🔨 to Next 🔜 on the User-zeljkofilipin board.

Change 486096 had a related patch set uploaded (by Jforrester; owner: MarkTraceur):
[mediawiki/extensions/MultimediaViewer@master] Fix browser test failures

https://gerrit.wikimedia.org/r/486096

Jdforrester-WMF renamed this task from Misconfigured -- Unsupported OS/browser/version/device combo to MediaViewer selenium tests are failing with "Misconfigured -- Unsupported OS/browser/version/device combo" because our target MacOS has aged out.May 8 2019, 10:12 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Change 486096 merged by jenkins-bot:
[mediawiki/extensions/MultimediaViewer@master] Fix browser test failures

https://gerrit.wikimedia.org/r/486096

zeljkofilipin raised the priority of this task from Low to Medium.Jul 11 2019, 11:46 AM
zeljkofilipin renamed this task from MediaViewer selenium tests are failing with "Misconfigured -- Unsupported OS/browser/version/device combo" because our target MacOS has aged out to MultimediaViewer selenium tests are failing with "Misconfigured -- Unsupported OS/browser/version/device combo" because our target MacOS has aged out.Jul 11 2019, 12:56 PM

Change 522080 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[mediawiki/extensions/MultimediaViewer@master] Selenium: do not run selenium-MultimediaViewer Jenkins job on macOS

https://gerrit.wikimedia.org/r/522080

Change 522080 merged by jenkins-bot:
[mediawiki/extensions/MultimediaViewer@master] Selenium: do not run selenium-MultimediaViewer Jenkins job on macOS

https://gerrit.wikimedia.org/r/522080

zeljkofilipin closed this task as Resolved.Jul 11 2019, 1:37 PM

Resolved by not running test on macOS.